Subject: Re: bug#17890: 24.4.50; flyspell highlights ``doesn't'' incorrect

From: Agustin Martin <[email-masked]>
Date: Tue, 1 Jul 2014 18:49:30 +0200

On Wed, Jul 02, 2014 at 12:23:42AM +0800, Leo Liu wrote:
> On 2014-07-01 18:43 +0300, Eli Zaretskii wrote:
> >   hunspell -a
> >   @(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)
> >   doesn't
> >   *
>
> I have
>
> @(#) International Ispell Version 3.2.06 (but really Hunspell 1.2.8)
> doesn't
> & doesn 7 0: does, doest, does n, domes, dominoes, doe, doyen
> *

Does your dict .aff file contain a WORDCHARS section? Is apostrophe in it?
For instance, in my box (Sorry for the unixisms)

$ grep -i wordchars /usr/share/hunspell/en_{AU,GB,US}.aff
/usr/share/hunspell/en_GB.aff:WORDCHARS 0123456789'-.’
/usr/share/hunspell/en_US.aff:WORDCHARS 0123456789'

That is, australian dict does not have it, so I get

$ echo doesn\'t | hunspell -a -d en_GB
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.3)
*

$ echo doesn\'t | hunspell -a -d en_US
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.3)
*

But if I use the australian dict

$ echo doesn\'t | hunspell -a -d en_AU
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.3)
& doesn 3 0: does, doest, does n
*

--
Agustin